#!/bin/sh
#

DEBUG="false"
if [ ! -z "$1" -a "$1"!=" " ]; then
    sthome=$1
else
    echo -n "sthome: "
    read -s sthome
    echo -e
fi

CP="Axway-AccountRetentionPolicy-psolicensemenu-removal.jar:"
for i in $sthome/lib/jars/*.jar 
do   
    CP="$i:$CP"
done

for i in $sthome/lib/jars/external/*.jar 
do   
    CP="$i:$CP"
done

if [ $DEBUG = "true" ]
then 
    OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8003,suspend=n,server=y $OPTS"
fi
export OPTS

if [ -f $sthome/bin/start_db ]
then
  "$sthome/bin/start_db"
fi

if [ "x$USAGE" != "x" ] 
then
    $sthome/jre/bin/java -Dct=cdgInstaller -Dnet.sf.ehcache.configurationResourceName=/ehcache-admin.xml "-DSYNCACCPSWD=$SYNCACCPSWD" "-DSYNCACCHOMEFOLDER=$SYNCACCHOMEFOLDER" "-DSYNCACCUID=$SYNCACCUID" "-DSYNCACCGID=$SYNCACCGID" "-DKEEPCONF=$KEEPCONF" "-DFILEDRIVEHOME=$sthome" $OPTS -cp "$CP" com.axway.tactical.license.menu.removal.LicenseMenuRemoval --usage
else
    $sthome/jre/bin/java -Dct=cdgInstaller -Dnet.sf.ehcache.configurationResourceName=/ehcache-admin.xml "-DSYNCACCPSWD=$SYNCACCPSWD" "-DSYNCACCHOMEFOLDER=$SYNCACCHOMEFOLDER" "-DSYNCACCUID=$SYNCACCUID" "-DSYNCACCGID=$SYNCACCGID" "-DKEEPCONF=$KEEPCONF" "-DFILEDRIVEHOME=$sthome" $OPTS -cp "$CP" com.axway.tactical.license.menu.removal.LicenseMenuRemoval -OS UNIX -bufferSize 1024
fi
